فا

‫ آسيب پذيري بارگذاري فايل دلخواه در پلاگين WordPress 1 Flash

IRCAD2011091397
شماره:IRCAD2011091397
تاريخ انتشار:  08-09-2011
ميزان حساسيت: بسيار مهم
نرم افزارهاي تحت تاثير:
WordPress 1 Flash Gallery Plugin 1.x
 
توضيح:
يك آسيب پذيري در پلاگين 1 Flash Gallery براي وردپرس كشف شده است كه مي­تواند توسط افراد خرابكار مورد سوء استفاده قرار گيرد تا كنترل يك سيستم آسيب پذير را در اختيار بگيرند.
اين آسيب پذيري به علت عدم درستي يابي مناسب فايل­هاي بارگذاري شده توسط اسكريپت wp-content/plugins/1-flash-gallery/upload.php ايجاد شده است. اين آسيب پذيري مي­تواند براي اجراي كد PHP دلخواه از طريق بارگذاري يك فايل PHP مورد سوء استفاده قرار گيرد.
اين آسيب پذيري در نسخه 1.5.6 تاييد شده است. ساير نسخه ها نيز ممكن است تحت تاثير اين آسيب پذيري قرار داشته باشند.
 
راهكار:
به نسخه 1.5.8 به روز رساني نماييد.
 
منابع:

نظرات

بدون نظر
شما برای نظر دادن باید وارد شوید

نوشته

 
تاریخ ایجاد: 25 بهمن 1390

امتیاز

امتیاز شما
تعداد امتیازها:0